Summary: Popular Unix Irc client
Name: ircii
Version: 4.4
Release: 2
Copyright: distributable
Group: Applications/Communications
Source0: ftp://ftp.funet.fi/pub/ircII/ircii-4.4.tar.gz
Source1: ircii.wmconfig
Summary(de): Beliebter Unix-IRC-Client
Summary(fr): Client irc UNIX populaire.
Summary(tr): Yaygn Unix Irc istemcisi

%package help
Summary: Help Files and Documentation for ircii
Group: Applications/Communications
Buildroot: /var/tmp/irc-root
Summary(de): Hilfedateien und Dokumentation fr ircii 
Summary(fr): Fichiers d'aide et documentation pour ircii
Summary(tr): ircii iin yardm dosyalar ve belgeler

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>

- updated to 4.4
- changed to use a build root

* Wed Nov  5 1997 Otto Hammersmith <otto@redhat.com>

- moved wmconfig file from ircii-help file list

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>

- use termios, not termio

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>

- added Erik's patch to fix file closing brokenness.

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>

- added wmconfig entries

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>

- updated source urls

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This is a popular Internet Relay Chat (IRC) client.  It
is a program used to connect to IRC servers around the
globe so that the user can ``chat'' with others.

%description help
This package contains the help files and other documentation
for the ircii client package.  

%description -l de help
Dieses Paket enthlt die Hilfedateien und die andere Dokumentation
fr das ircii-Client-Paket.

%description -l de
Dies ist ein beliebter IRC-Client (Internet Relay Chat). Sie knnen eine
Verbindung zu einem beliebigen IRC-Server aufbauen und mit
anderen Benutzern 'chatten'.

%description -l fr help
Ce package contient les fichiers d'aide et d'autres documentations
pour le package du client ircii.

%description -l fr
Le trs poulaire client Internet Relay Chat (IRC). C'est
un programme utilis pour se connecter aux serveurs IRC 
travers le monde entier et ``bavarder'' avec les autres.

%description -l tr help
Bu paket, ircii yazlmnn yardm dosyalarn ve dier belgelerini ierir.

%description -l tr
Bu, yaygn kullanlan bir IRC (Internet Relay Chat) istemcisidir. Dnya
zerinde herhangi bir IRC sunucusuna balant salar; balant salandktan
sonra kullanc dier insanlarla sohbet edebilir.

%prep
%setup

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
ln -sf irc-4.4 $RPM_BUILD_ROOT/usr/bin/irc

touch $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc-2.mit.edu" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc-2.escape.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.texas.net" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
echo "irc.eskimo.com" >> $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers
chmod 644 $RPM_BUILD_ROOT/usr/lib/irc/ircII.servers

mkdir -p $RPM_BUILD_ROOT/etc/X11
install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/ircii.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/ircii

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/irc
/usr/bin/irc-4.4
/usr/bin/ircbug
/usr/bin/ircio
/usr/bin/ircflush
/usr/bin/wserv
/usr/lib/irc/script
/usr/lib/irc/translation
/usr/lib/irc/ircII.servers
/etc/X11/wmconfig/ircii

%files help
/usr/lib/irc/help
%doc doc/*
